diff .chezmoiscripts/run_onchange_after_17-install-rtx-and-plugins.sh.tmpl @ 1036:31351132efca

feat: switch rtx to mise and fixes for clean installs
author Zeger Van de Vannet <zeger@vandevan.net>
date Sun, 16 Jun 2024 20:24:58 +0200
parents .chezmoiscripts/run_onchange_after_20-install-rtx-and-plugins.sh.tmpl@e6ec2d27e228
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/.chezmoiscripts/run_onchange_after_17-install-rtx-and-plugins.sh.tmpl	Sun Jun 16 20:24:58 2024 +0200
@@ -0,0 +1,20 @@
+{{ if (and (eq .chezmoi.os "linux") (eq .chezmoi.osRelease.name "Ubuntu" )) -}}
+#!/usr/bin/env bash
+
+set -xe
+
+# tool-versions hash: {{ include "dot_tool-versions" | sha256sum }}
+
+: "${XDG_CONFIG_HOME:=$HOME/.config}"
+RTX_BIN=$HOME/bin/mise
+curl -fsSL https://github.com/jdx/mise/releases/download/v2024.6.2/mise-v2024.6.2-linux-x64 | sudo install -m 755 /dev/stdin $RTX_BIN
+
+export PYTHON_CONFIGURE_OPTS="--enable-shared"
+$RTX_BIN install --verbose --yes
+
+mkdir -p $XDG_CONFIG_HOME/direnv/lib
+$RTX_BIN direnv activate > $XDG_CONFIG_HOME/direnv/lib/use_rtx.sh
+$RTX_BIN completion zsh > ~/.zsh/completetions
+
+
+{{ end }}